EPPTransportSMTP (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0604.rtk.transport.EPPTransportSMTP class

### com.tucows.oxrs.epp0604.rtk.transport

# Class EPPTransportSMTP

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0604.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0604.rtk.transport.EPPTransportBase`
    - - `com.tucows.oxrs.epp0604.rtk.transport.EPPTransportSMTP`

`public class EPPTransportSMTP`
`extends EPPTransportBase`

Provides methods necessary to communicate via SMTP with an EPP Server.

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp0604.rtk.transport.EPPTransportBase
  `DEFAULT_SOCKET_TIMEOUT`, `epp_host_name_`, `epp_host_port_`, `epp_timeout_`

  ### Fields inherited from class com.tucows.oxrs.epp0604.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPTransportSMTP()` Default construtor

  ## Method Summary
  `void` | `connect()` Empty implemention of the connect method from EPPTransportBase.
  `void` | `disconnect()` Empty implemention of the disconnect method from EPPTransportBase.
  `String` | `readFromServer()` Reads an EPP message received from the server via SMTP (i.e.
  `void` | `writeToServer(String string_to_server)` Sends an EPP message to the server via SMTP (i.e.

  ### Methods inherited from class com.tucows.oxrs.epp0604.rtk.transport.EPPTransportBase
  `connect`, `disconnect`, `getEPPHostName`, `getEPPHostPort`, `getEPPTimeout`, `initialize`, `readFromServer`, `setEPPHostName`, `setEPPHostPort`, `setEPPTimeout`, `writeToServer`

  ### Methods inherited from class com.tucows.oxrs.epp0604.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Constructor Details

### EPPTransportSMTP

    public EPPTransportSMTP()

> Default construtor

## Method Details

### connect

    public void connect()
                throws IOException,
                       UnknownHostException

> Empty implemention of the connect method from EPPTransportBase. Does nothing because there is no persistent connection to the server in SMTP.
> Overrides:
>   connect in interface EPPTransportBase

### disconnect

    public void disconnect()
                throws IOException

> Empty implemention of the disconnect method from EPPTransportBase. Does nothing because there is no persistent connection to the server in SMTP.
> Overrides:
>   disconnect in interface EPPTransportBase

### readFromServer

    public String readFromServer()
                throws epp_Exception

> Reads an EPP message received from the server via SMTP (i.e. an email). Does nothing at this time. Code must be writen.
> Overrides:
>   readFromServer in interface EPPTransportBase

### writeToServer

    public void writeToServer(String string_to_server)
                throws epp_Exception

> Sends an EPP message to the server via SMTP (i.e. an email). Does nothing at this time. Code must be writen.
> Overrides:
>   writeToServer in interface EPPTransportBase

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS